工具:list_merchants
擷取與已驗證帳戶相關聯的所有 Google Pay 商家商家檔案清單。
以下範例示範如何使用 curl 叫用 list_merchants MCP 工具。
| Curl 要求 |
|---|
curl --location 'https://paydeveloper.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_merchants", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
輸入內容的結構定義
要求商家產品資訊的訊息。
輸出內容的結構定義
商家資訊商家的回覆訊息。
ListMerchantsResponse
| JSON 表示法 |
|---|
{
"merchants": [
{
object ( |
| 欄位 | |
|---|---|
merchants[] |
使用者可存取的商家基本資訊。 |
商家
| JSON 表示法 |
|---|
{ "merchantId": string, "displayName": string, "regionCode": string } |
| 欄位 | |
|---|---|
merchantId |
僅供輸出。商家的專屬 ID。 |
displayName |
(選用步驟) 商家的顯示名稱。 |
regionCode |
(選用步驟) 商家所在地點的區域代碼。格式為 Unicode CLDR 地區代碼,例如「US」。 |
工具註解
破壞性提示:❌ | 等冪提示:✅ | 唯讀提示:✅ | 開放世界提示:❌